Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 030b4d25180d913984aae76995f51f9cf4d03cab)
+++ BOOK/packages.ent	(revision 82ae3383bc7778eff9a72c94d128a43c1c51f05e)
@@ -72,14 +72,14 @@
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net">
 
-<!ENTITY file-version "4.19">
-<!ENTITY file-size "538 KB">
+<!ENTITY file-version "4.21">
+<!ENTITY file-size "544 KB">
 <!ENTITY file-url "ftp://ftp.gw.com/mirrors/pub/unix/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "a61ef3aa8339d5987148089afde25f60">
+<!ENTITY file-md5 "9e3503116f4269a1be70220ee2234b0e">
 <!ENTITY file-home "http://www.darwinsys.com/file">
 
-<!ENTITY findutils-version "4.2.29">
-<!ENTITY findutils-size "1,076 KB">
+<!ENTITY findutils-version "4.2.31">
+<!ENTITY findutils-size "1,300 KB">
 <!ENTITY findutils-url "&gnu;findutils/findutils-&findutils-version;.tar.gz">
-<!ENTITY findutils-md5 "24e76434ca74ba3c2c6ad621eb64e1ff">
+<!ENTITY findutils-md5 "a0e31a0f18a49709bf5a449867c8049a">
 <!ENTITY findutils-home "&gnu-software;findutils">
 
@@ -163,8 +163,8 @@
 <!ENTITY kbd-home " ">
 
-<!ENTITY less-version "394">
-<!ENTITY less-size "286 KB">
+<!ENTITY less-version "403">
+<!ENTITY less-size "292 KB">
 <!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
-<!ENTITY less-md5 "a9f072ccefa0d315b325f3e9cdbd4b97">
+<!ENTITY less-md5 "46d8d2008f7b6f6c63fb497e5c3a204a">
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less">
 
@@ -207,8 +207,8 @@
 <!ENTITY man-home "http://primates.ximian.com/~flucifredi/man">
 
-<!ENTITY man-pages-version "2.46">
-<!ENTITY man-pages-size "1,792 KB">
+<!ENTITY man-pages-version "2.57">
+<!ENTITY man-pages-size "1,764 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/manpages/man-pages-&man-pages-version;.tar.bz2">
-<!ENTITY man-pages-md5 "318a948119a593b5042b7eb52a2ab79e">
+<!ENTITY man-pages-md5 "82b67ea3e9bd5204617d041435b98ce5">
 <!ENTITY man-pages-home "http://www.win.tue.nl/~aeb/linux/man">
 
@@ -286,8 +286,8 @@
 <!ENTITY sysvinit-home " ">
 
-<!ENTITY tar-version "1.16.1">
-<!ENTITY tar-size "1,760 KB">
+<!ENTITY tar-version "1.17">
+<!ENTITY tar-size "1,844 KB">
 <!ENTITY tar-url "&gnu;tar/tar-&tar-version;.tar.bz2">
-<!ENTITY tar-md5 "d51593461c5ef1f7e37134f22338bb9e">
+<!ENTITY tar-md5 "c6c4f1c075dbf0f75c29737faa58f290">
 <!ENTITY tar-home "&gnu-software;tar">
 
@@ -316,13 +316,13 @@
 <!ENTITY util-linux-home " ">
 
-<!ENTITY vim-version "7.0">
-<!ENTITY vim-version2 "70">
-<!ENTITY vim-size "6,422 KB">
+<!ENTITY vim-version "7.1">
+<!ENTITY vim-version2 "71">
+<!ENTITY vim-size "6,728 KB">
 <!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-md5 "4ca69757678272f718b1041c810d82d8">
+<!ENTITY vim-md5 "44c6b4914f38d6f9aa959640b89da329">
 <!ENTITY vim-home "http://www.vim.org">
-<!ENTITY vim-language-size "1,153 KB">
+<!ENTITY vim-language-size "1,168 KB">
 <!ENTITY vim-language-url "ftp://ftp.vim.org/pub/vim/extra/vim-&vim-version;-lang.tar.gz">
-<!ENTITY vim-language-md5 "6d43efaff570b5c86e76b833ea0c6a04">
+<!ENTITY vim-language-md5 "144aa049ba70621acf4247f0459f3ee7">
 <!ENTITY vim-language-home " ">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 030b4d25180d913984aae76995f51f9cf4d03cab)
+++ BOOK/patches.ent	(revision 82ae3383bc7778eff9a72c94d128a43c1c51f05e)
@@ -114,10 +114,10 @@
 
 <!ENTITY vim-cross_compile-patch "vim-&vim-version;-cross_compile-1.patch">
-<!ENTITY vim-cross_compile-patch-md5 "05da89742f75fc39292fbf7c5ccc17ff">
+<!ENTITY vim-cross_compile-patch-md5 "f8af7a628b58959914390783932c23bc">
 <!ENTITY vim-cross_compile-patch-size "28 KB">
 
-<!ENTITY vim-fixes-patch "vim-&vim-version;-fixes-23.patch">
-<!ENTITY vim-fixes-patch-md5 "695ef97cf6cd5afce5f803a693ef6545">
-<!ENTITY vim-fixes-patch-size "344 KB">
+<!ENTITY vim-fixes-patch "vim-&vim-version;-fixes-1.patch">
+<!ENTITY vim-fixes-patch-md5 "4b1b187869baed56eb0d95237860704d">
+<!ENTITY vim-fixes-patch-size "4 KB">
 
 <!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-1.patch">
